package de.oaa.xxx.registration;

import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;
import java.util.UUID;

public interface RegistrationRepository extends JpaRepository<RegistrationEntity, UUID> {

    Optional<RegistrationEntity> findByEmail(String email);
    Optional<RegistrationEntity> findByName(String name);
    Optional<RegistrationEntity> findByActivationCode(String activationCode);
}
